This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 805299 - (CVE-2012-1187) CVE-2012-1187 bitlbee: does not drop extra group privileges
CVE-2012-1187 bitlbee: does not drop extra group privileges
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111109,repor...
: Security
Depends On: 805301 805302
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 16:15 EDT by Vincent Danen
Modified: 2014-07-19 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 11:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-20 16:15:27 EDT
It was reported [1] that Bitlbee did not drop group privileges correctly.  Bitlbee is supposed to drop privileges, but it simply calls setgid() followed by setuid() which is insufficient, as the extra groups the process was started with are still available.

This is corrected upstream [2] (although the changeset r856 includes some unrelated fixes as well; the patch to unix.c is the required fix).  Bitlbee 3.0.4 is affected.

[1] http://bugs.bitlbee.org/bitlbee/ticket/852
[2] http://bugs.bitlbee.org/bitlbee/changeset/devel%2C856#file3
Comment 1 Vincent Danen 2012-03-20 16:16:54 EDT
Created bitlbee tracking bugs for this issue

Affects: fedora-all [bug 805301]
Affects: epel-all [bug 805302]

Note You need to log in before you can comment on or make changes to this bug.